[arch-commits] Commit in glib2/repos (6 files)

Jan de Groot jgc at archlinux.org
Thu Sep 17 08:44:05 UTC 2015


    Date: Thursday, September 17, 2015 @ 10:44:05
  Author: jgc
Revision: 246425

archrelease: copy trunk to gnome-unstable-i686, gnome-unstable-x86_64

Added:
  glib2/repos/gnome-unstable-i686/
  glib2/repos/gnome-unstable-i686/PKGBUILD
    (from rev 246424, glib2/trunk/PKGBUILD)
  glib2/repos/gnome-unstable-i686/revert-warn-glib-compile-schemas.patch
    (from rev 246424, glib2/trunk/revert-warn-glib-compile-schemas.patch)
  glib2/repos/gnome-unstable-x86_64/
  glib2/repos/gnome-unstable-x86_64/PKGBUILD
    (from rev 246424, glib2/trunk/PKGBUILD)
  glib2/repos/gnome-unstable-x86_64/revert-warn-glib-compile-schemas.patch
    (from rev 246424, glib2/trunk/revert-warn-glib-compile-schemas.patch)

--------------------------------------------------------------+
 gnome-unstable-i686/PKGBUILD                                 |   67 ++++++++++
 gnome-unstable-i686/revert-warn-glib-compile-schemas.patch   |   33 ++++
 gnome-unstable-x86_64/PKGBUILD                               |   67 ++++++++++
 gnome-unstable-x86_64/revert-warn-glib-compile-schemas.patch |   33 ++++
 4 files changed, 200 insertions(+)

Copied: glib2/repos/gnome-unstable-i686/PKGBUILD (from rev 246424, glib2/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-i686/PKGBUILD	                        (rev 0)
+++ gnome-unstable-i686/PKGBUILD	2015-09-17 08:44:05 UTC (rev 246425)
@@ -0,0 +1,67 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=glib2
+pkgname=(glib2 glib2-docs)
+pkgver=2.45.8
+pkgrel=1
+pkgdesc="Common C routines used by GTK+ and other libs"
+url="http://www.gtk.org/"
+arch=(i686 x86_64)
+makedepends=('pkg-config' 'python2' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'elfutils')
+source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver:0:4}/glib-$pkgver.tar.xz
+        revert-warn-glib-compile-schemas.patch)
+sha256sums=('ba1a37d64b391c5202017cce81375e36f82e0b3eef7e9c3f1c5bbaf7c92f98c8'
+            '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
+
+prepare() {
+  cd glib-$pkgver
+  patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+}
+  
+build() {
+  cd glib-$pkgver
+  PYTHON=/usr/bin/python2 ./configure --prefix=/usr --libdir=/usr/lib \
+      --sysconfdir=/etc \
+      --with-pcre=system \
+      --disable-fam
+  make
+}
+
+check() {
+  cd glib-$pkgver
+  #make -k check || :
+}
+
+package_glib2() {
+  depends=('pcre' 'libffi')
+  optdepends=('python2: for gdbus-codegen and gtester-report'
+              'elfutils: gresource inspection tool')
+  options=('!docs' '!emptydirs')
+  license=('LGPL')
+
+  cd glib-$pkgver
+  make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+  for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
+      chmod -x "$_i"
+  done
+
+  # Our gdb does not ship the required python modules, so remove it
+  rm -rf "$pkgdir/usr/share/gdb/"
+}
+
+package_glib2-docs() {
+  pkgdesc="Documentation for glib2"
+  conflicts=('gobject2-docs')
+  replaces=('gobject2-docs')
+  license=('custom')
+  options=('docs' '!emptydirs')
+  
+  cd glib-$pkgver/docs
+  make DESTDIR="${pkgdir}" install
+  install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
+  install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
+
+  rm -rf "${pkgdir}/usr/share/man"
+}

Copied: glib2/repos/gnome-unstable-i686/revert-warn-glib-compile-schemas.patch (from rev 246424, glib2/trunk/revert-warn-glib-compile-schemas.patch)
===================================================================
--- gnome-unstable-i686/revert-warn-glib-compile-schemas.patch	                        (rev 0)
+++ gnome-unstable-i686/revert-warn-glib-compile-schemas.patch	2015-09-17 08:44:05 UTC (rev 246425)
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt at desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/.  Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used.  This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState  *state,
+       return;
+     }
+ 
++  if (path && (g_str_has_prefix (path, "/apps/") ||
++               g_str_has_prefix (path, "/desktop/") ||
++               g_str_has_prefix (path, "/system/")))
++    g_printerr ("warning: Schema '%s' has path '%s'.  Paths starting with "
++                "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+   state->schema_state = schema_state_new (path, gettext_domain,
+                                           extends, extends_name, list_of);
+ 
+--
+cgit v0.9.0.2

Copied: glib2/repos/gnome-unstable-x86_64/PKGBUILD (from rev 246424, glib2/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD	                        (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD	2015-09-17 08:44:05 UTC (rev 246425)
@@ -0,0 +1,67 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=glib2
+pkgname=(glib2 glib2-docs)
+pkgver=2.45.8
+pkgrel=1
+pkgdesc="Common C routines used by GTK+ and other libs"
+url="http://www.gtk.org/"
+arch=(i686 x86_64)
+makedepends=('pkg-config' 'python2' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'elfutils')
+source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver:0:4}/glib-$pkgver.tar.xz
+        revert-warn-glib-compile-schemas.patch)
+sha256sums=('ba1a37d64b391c5202017cce81375e36f82e0b3eef7e9c3f1c5bbaf7c92f98c8'
+            '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
+
+prepare() {
+  cd glib-$pkgver
+  patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+}
+  
+build() {
+  cd glib-$pkgver
+  PYTHON=/usr/bin/python2 ./configure --prefix=/usr --libdir=/usr/lib \
+      --sysconfdir=/etc \
+      --with-pcre=system \
+      --disable-fam
+  make
+}
+
+check() {
+  cd glib-$pkgver
+  #make -k check || :
+}
+
+package_glib2() {
+  depends=('pcre' 'libffi')
+  optdepends=('python2: for gdbus-codegen and gtester-report'
+              'elfutils: gresource inspection tool')
+  options=('!docs' '!emptydirs')
+  license=('LGPL')
+
+  cd glib-$pkgver
+  make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+  for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
+      chmod -x "$_i"
+  done
+
+  # Our gdb does not ship the required python modules, so remove it
+  rm -rf "$pkgdir/usr/share/gdb/"
+}
+
+package_glib2-docs() {
+  pkgdesc="Documentation for glib2"
+  conflicts=('gobject2-docs')
+  replaces=('gobject2-docs')
+  license=('custom')
+  options=('docs' '!emptydirs')
+  
+  cd glib-$pkgver/docs
+  make DESTDIR="${pkgdir}" install
+  install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
+  install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
+
+  rm -rf "${pkgdir}/usr/share/man"
+}

Copied: glib2/repos/gnome-unstable-x86_64/revert-warn-glib-compile-schemas.patch (from rev 246424, glib2/trunk/revert-warn-glib-compile-schemas.patch)
===================================================================
--- gnome-unstable-x86_64/revert-warn-glib-compile-schemas.patch	                        (rev 0)
+++ gnome-unstable-x86_64/revert-warn-glib-compile-schemas.patch	2015-09-17 08:44:05 UTC (rev 246425)
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt at desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/.  Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used.  This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState  *state,
+       return;
+     }
+ 
++  if (path && (g_str_has_prefix (path, "/apps/") ||
++               g_str_has_prefix (path, "/desktop/") ||
++               g_str_has_prefix (path, "/system/")))
++    g_printerr ("warning: Schema '%s' has path '%s'.  Paths starting with "
++                "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+   state->schema_state = schema_state_new (path, gettext_domain,
+                                           extends, extends_name, list_of);
+ 
+--
+cgit v0.9.0.2



More information about the arch-commits mailing list